LINUX.ORG.RU
ФорумTalks

Убрали апач из OpenBSD

 


0

1

При следующем обновлении вас может ожидать вот это:


# rm -r /var/www/icons
# rmdir /var/www/conf/{modules,modules.sample}
# rmdir /var/www/users
# rm /var/www/cgi-bin/{printenv,test-cgi}
# rm /var/www/conf/{httpd.conf,magic,mime.types}
# rm /var/www/htdocs/{apache_pb.gif,blowfish.jpg,bsd_small.gif,index.html}
# rm /var/www/htdocs/{lock.gif,logo23.jpg,logo24.jpg,mod_ssl_sb.gif}
# rm /var/www/htdocs/{openbsd_pb.gif,openbsdpower.gif,openssl_ics.gif}
# rm /var/www/htdocs/smalltitle.gif

Пруф

★★

Причины так делать? Причины так не делать?

А чем это мотивируют?

А зачем может быть нужен Apache? Чего ещё не умеет nginx и другие?

Camel ★★★★★ ()

BSD-проблемы.

Deleted ()

generic-жалоба роскомнадзора на программу распространяющую сайты?

Deleted ()
Ответ на: комментарий от ziemin

Именно. Они почему-то сидели на 1.3.
И степень разложения тела апача уже не позволяет держать его целым.
Зомби-адепты нашли жертву по-свежее.

Stahl ★★☆ ()

так пхпшечку крутить же. fastcgi ничем особо не выделился, года три назад глюков в fastcgi сервере было больше чем в апаче. Убираешь модули и крутишь пхпшечку на нём.

а ещё он умеет фронтендом к tomcat стоят через специальный коннектор (не хттп), при этом прогрессбар работает. А если без апача то к nginx-у надо прогрессбар прикручивать

в общем я использую, если нагрузка не предполагается супер большая (что у большинства клиентов), то это самый простой и надёжный и быстрый вариант (ибо yum install apache2 php php-mysql и вперёд).

ЗЫ. Ну да, я *bsd не испльзую если что. Не по идеологическим причинам, если что. Просто не умею.

AndreyKl ★★★★★ ()
Последнее исправление: AndreyKl (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.